summary refs log tree commit diff
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2020-07-27 21:54:16 -0400
committerJune McEnroe <june@causal.agency>2020-07-30 19:02:22 -0400
commit2d315f4e5a43d12c8c1f212d18647e6483ea35f4 (patch)
treeb87246077cd438d530e19dc7b686aea66c5b060f
downloadlibretls-2d315f4e5a43d12c8c1f212d18647e6483ea35f4.tar.gz
libretls-2d315f4e5a43d12c8c1f212d18647e6483ea35f4.zip
import: Add script to extract libtls from libressl-portable
-rw-r--r--import.sh60
1 files changed, 60 insertions, 0 deletions
diff --git a/import.sh b/import.sh
new file mode 100644
index 0000000..1c95070
--- /dev/null
+++ b/import.sh
@@ -0,0 +1,60 @@
+#!/bin/sh
+set -eu
+
+input=$1
+
+tar -x -f "${input}" --strip-components 1 \
+	--exclude 'libressl-*/*/VERSION' \
+	'libressl-*/Makefile.am.common' \
+	'libressl-*/VERSION' \
+	'libressl-*/configure.ac' \
+	'libressl-*/include/Makefile.am' \
+	'libressl-*/include/compat/arpa/inet.h' \
+	'libressl-*/include/compat/fcntl.h' \
+	'libressl-*/include/compat/limits.h' \
+	'libressl-*/include/compat/netdb.h' \
+	'libressl-*/include/compat/netinet/*.h' \
+	'libressl-*/include/compat/pthread.h' \
+	'libressl-*/include/compat/stdio.h' \
+	'libressl-*/include/compat/stdlib.h' \
+	'libressl-*/include/compat/string.h' \
+	'libressl-*/include/compat/sys/ioctl.h' \
+	'libressl-*/include/compat/sys/mman.h' \
+	'libressl-*/include/compat/sys/param.h' \
+	'libressl-*/include/compat/sys/socket.h' \
+	'libressl-*/include/compat/sys/stat.h' \
+	'libressl-*/include/compat/sys/time.h' \
+	'libressl-*/include/compat/sys/types.h' \
+	'libressl-*/include/compat/time.h' \
+	'libressl-*/include/compat/unistd.h' \
+	'libressl-*/include/compat/win32netcompat.h' \
+	'libressl-*/include/tls.h' \
+	'libressl-*/libtls.pc.in' \
+	'libressl-*/m4/check-hardening-options.m4' \
+	'libressl-*/m4/check-libc.m4' \
+	'libressl-*/m4/check-os-options.m4' \
+	'libressl-*/m4/disable-compiler-warnings.m4' \
+	'libressl-*/man/Makefile.am' \
+	'libressl-*/man/tls_*.3'
+
+tar -x -f "${input}" --strip-components 2 \
+	-s '/VERSION/LIBTLS_VERSION/' \
+	'libressl-*/crypto/compat/arc4random*.[ch]' \
+	'libressl-*/crypto/compat/bsd-asprintf.c' \
+	'libressl-*/crypto/compat/chacha_private.h' \
+	'libressl-*/crypto/compat/explicit_bzero*.c' \
+	'libressl-*/crypto/compat/freezero.c' \
+	'libressl-*/crypto/compat/getentropy*.c' \
+	'libressl-*/crypto/compat/getpagesize.c' \
+	'libressl-*/crypto/compat/getprogname*.c' \
+	'libressl-*/crypto/compat/posix_win.c' \
+	'libressl-*/crypto/compat/reallocarray.c' \
+	'libressl-*/crypto/compat/strcasecmp.c' \
+	'libressl-*/crypto/compat/strlcpy.c' \
+	'libressl-*/crypto/compat/strsep.c' \
+	'libressl-*/crypto/compat/timegm.c' \
+	'libressl-*/crypto/compat/timingsafe_memcmp.c' \
+	'libressl-*/tls/*.[ch]' \
+	'libressl-*/tls/Makefile.am' \
+	'libressl-*/tls/VERSION' \
+	'libressl-*/tls/tls.sym'